Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.awt
Class InputMethodAction

    java.lang.Object
      de.jsystems.framework.common.action.AbstractAction
          de.jsystems.framework.common.action.awt.InputMethodAction

All Implemented Interfaces:
  EventListener, InputMethodListener

public class InputMethodAction
extends AbstractAction
implements InputMethodListener

Actionimplementierung fuer InputMethodEvents.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Constructor Summary
`InputMethodAction()`

Method Summary
`void` | `caretPositionChanged(InputMethodEvent event)`
`void` | `doCaretPositionChanged(InputMethodEvent ime)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `doInputMethodTextChanged(InputMethodEvent ime)` Abgeleitete Klassen müssen diese Methode ueberschreiben.
`void` | `inputMethodTextChanged(InputMethodEvent event)`

Methods inherited from class de.jsystems.framework.common.action.AbstractAction
`addControl, disable, enable, exceptionInAction, getController, getControls, getException, getView, hasException, initialize, isEnabled, removeAll, removeControl, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InputMethodAction

    public InputMethodAction()

Method Detail

### inputMethodTextChanged

    public void inputMethodTextChanged(InputMethodEvent event)

  Specified by:
    `inputMethodTextChanged` in interface `InputMethodListener`

### doInputMethodTextChanged

    public void doInputMethodTextChanged(InputMethodEvent ime)
                                  throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ime` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

### caretPositionChanged

    public void caretPositionChanged(InputMethodEvent event)

  Specified by:
    `caretPositionChanged` in interface `InputMethodListener`

### doCaretPositionChanged

    public void doCaretPositionChanged(InputMethodEvent ime)
                                throws Exception

  Abgeleitete Klassen müssen diese Methode ueberschreiben. Hierin passiert die eigentliche Aktion der Action.

  Parameters:
    `ime` - Das Eventobjekt mit dem ausgeloesten Event.
  Throws:
    `Exception` - wenn beim ausfuehren der Methode ein Fehler auftritt.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD